Bug 1278464 - HANA SUBSTRING function inconsistent with Teiid's behaviour
HANA SUBSTRING function inconsistent with Teiid's behaviour
Status: CLOSED WONTFIX
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:41 EST by Jan Stastny
Modified: 2015-11-30 08:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 11:04:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3805 Major Resolved HANA SUBSTRING function inconsistent with teiid behaviour 2016-02-25 08:53 EST

  None (edit)
Description Jan Stastny 2015-11-05 09:41:57 EST
Description of problem:
When trying to get a substring starting on a position which is after the end of the string, default behaviour for Teiid is to return NULL. But HANA returns empty string, which is then returned by Teiid. This introduces an inconsistency in handling such situation.

See the linked JIRA.
Comment 1 JBoss JIRA Server 2015-11-09 15:35:47 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3805 to Resolved

Note You need to log in before you can comment on or make changes to this bug.